=== docs/requirements.txt ===
Pygments>=2.9 # For OMG IDL Support
Sphinx>=2.4
