=== 1.0-r0/sources/CMakeLists.txt ===
#
# Copyright 2015, Mentor Graphics Corporation
# http://www.mentor.com
#

cmake_minimum_required(VERSION 2.6)
project(SignalRClient)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
find_package(POCO REQUIRED)

include_directories(include
                    ${POCO_INCLUDE_DIR}
)

set(SOURCES src/ClientSession.cpp
            src/Connection.cpp
            src/ConnectionEvents.cpp
            src/ConnectionLife.cpp
            src/DiagnosticLogger.cpp 
            src/LongPollingTransport.cpp  
            src/Reconnection.cpp  
            src/Transport.cpp
            src/Util.cpp
            src/WebSocketsTransport.cpp
)

add_library(${PROJECT_NAME} SHARED ${SOURCES})

set(LIBS ${POCO_XML_LIB} ${POCO_UTIL_LIB} ${POCO_NET_LIB} ${POCO_JSON_LIB} ${POCO_FOUNDATION_LIB} ${POCO_NETSSL_LIB})

target_link_libraries(${PROJECT_NAME} ${LIBS})

install(TARGETS ${PROJECT_NAME} LIBRARY 
        DESTINATION lib)

install(FILES include/signalRClient/ClientSession.h
              include/signalRClient/ConnectionEvents.h
              include/signalRClient/Connection.h
              include/signalRClient/ConnectionLife.h
              include/signalRClient/ConnectionState.h
              include/signalRClient/Defaults.h
              include/signalRClient/DiagnosticLogger.h
              include/signalRClient/LongPollingTransport.h
              include/signalRClient/Reconnection.h
              include/signalRClient/SignalRException.h
              include/signalRClient/Transport.h
              include/signalRClient/Util.h
              include/signalRClient/WebSocketsTransport.h
        DESTINATION include/signalRClient)

ADD_SUBDIRECTORY(sample)
