=== 1.60-26-r0/net-tools-1.60/debian/changelog ===
net-tools (1.60-26) unstable; urgency=low

  * Fix wrong exit codes in netstat.c, closes: #541172.
  * Add patch to stop buffer overflows in route -6. Closes: #747006.
  * Add patch to fix wide display for long udp and raw addresses.
    Closes: #632660.
  * Add patch to fix mishandling of 64bit integers in netstat -s.
    Closes: #561161.
  * Add patch to fix printing of uninitialised ipv6 data in netstat.
    Closes: #508110.
  * debian/control: Add ${misc:Depends}, remove 'the' from description.
  * debian/rules: Add missing build-arch and build-indep targets.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 May 2014 05:12:20 +0000

net-tools (1.60-25) unstable; urgency=medium

  * Fix FTBFS by not setting HWSTRIP and HWTR (Closes: #700008).

 -- Luk Claes <luk@debian.org>  Sat, 11 May 2013 20:04:37 +0200

net-tools (1.60-24.2) unstable; urgency=low

  * Non-maintainer upload.
  * Parse Linux version correctly (Closes: #680204).
  * Build with hardening flags (Closes: #656130):
    - Fix improper format function usage: use fputs instead of fprintf or pass
      "%s" format string where necessary (-Werror=format-security treats those
      as errors).

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 04 Sep 2012 10:51:20 +0200

net-tools (1.60-24.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add cross-build support, based on patch from Neil Williams. Closes: #451281
  * debian/control: Add Homepage. Closes: #530712.

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Fri, 15 Jul 2011 14:58:52 +0100

net-tools (1.60-24) unstable; urgency=low

  * debian/patches/Add_missing_headers.patch: Fix FTBFS (Closes: #625157).
  * debian/patches/Bug#569509-iface_overflow.patch: Fix crash 
    (Closes: #569509).

 -- Luk Claes <luk@debian.org>  Sun, 22 May 2011 09:17:57 +0200

net-tools (1.60-23) unstable; urgency=low

  * debian/patches/Bug#254243-netstat.c-wide-opt.patch: Converted last patch
    from Luar Roji to a quilt patch.
  * Many changes done in diff.gz that are also present in upstream's CVS:
    - debian/patches/CVS-20020730-route.c_opts_64.patch
    - debian/patches/CVS-20061011-ipmaddr.c_buffer_overflow.patch
    - debian/patches/CVS-20081003-statistics.c_sync.patch
    - debian/patches/CVS-20071202-rarp.c_sync.patch
    - debian/patches/CVS-20070316-netstat.c_sync.patch
    - debian/patches/CVS-20060927-mii-tool.c_sync.patch
    - debian/patches/CVS-20051204-arp.c_sync.patch
    - debian/patches/CVS-20030911-nameif.c_sync.patch
    - debian/patches/CVS-20081002-ifconfig.c_sync.patch
    - debian/patches/CVS-20031011-hostname.c_sync.patch
    - debian/patches/CVS-20051204-slttach.c_sync.patch
    - debian/patches/CVS-20061011-includes_sync.patch
    - debian/patches/CVS-lib_sync.patch
    - debian/patches/CVS-20081003-config.in_sync.patch
    - debian/patches/CVS-20081002-manpages_sync.patch
  * Some unsyncable patches converted from diff.gz:
    - debian/patches/netstat.c-assorted_changes.patch
    - debian/patches/translations.patch
    - debian/patches/local-manpages.patch
    - debian/patches/lib_local_changes.patch
    - debian/patches/netstat.c-local_changes.patch
  * Reverted changes to Makefile and README.
  * debian/watch: added watchfile.
  * debian/control, debian/compat: Added versioned dependency on debhelper (it
    was version 1!)
  * debian/rules: made from scratch. Closes: #443063.
  * Added quilt dependencies and hooks.
  * debian/control: updated Standards-Version.
  * debian/README.source: added to comply with S-V 3.8.1.
  * debian/patches/local-manpages.patch: more manpage fixes.
  * debian/patches/translations.patch: fix encoding for .po files.
  * debia/rules: supercede Makefile install with custom commands.
  * debian/copyright: new format, and attempt to provide a real copyright
    file. Still, the attribution is a mess.
  * debian/patches/Bug#345331-socket_overflow.patch: patch from Antonio Galea
    that solves an issue when the socket number exceeds 2^31. Closes: #345331.

 -- Martín Ferrari <tincho@debian.org>  Mon, 16 Mar 2009 01:58:18 -0300

net-tools (1.60-22) unstable; urgency=low

  * Add new command line option -W/--wide to netstat which prevents 
    truncation of IPv6 addresses (Closes: #254243). Thanks Luar Roji.

 -- Luk Claes <luk@debian.org>  Sun, 16 Nov 2008 17:53:05 +0100

net-tools (1.60-21) unstable; urgency=low

  * Update maintainer to net-tools Team.
  * Support ipv6 stats in netstat (Closes: #453859).
  * Fix closes statements in changelog entry.
  * Add hardware support for InfiniBand (Closes: #294252).

 -- Luk Claes <luk@debian.org>  Sat, 27 Sep 2008 19:40:40 +0200

net-tools (1.60-20) unstable; urgency=low

  * New maintainer (Closes: #486004).
  * Don't segfault when /proc/net/dev is not available (Closes: #222209).
  * Find IPv6 addresses for interfaces with ifindex > 255 (Closes: #433543).
  * Skip . and .. in netstat as they are invalid (Closes: #234447).
  * Fix hyphenation for manpages (Closes: #288343).

 -- Luk Claes <luk@debian.org>  Tue, 16 Sep 2008 15:22:20 +0200

net-tools (1.60-19) unstable; urgency=low

  * fixed netstat(8) (interfaceS) reported by Liu Xing. (Closes: Bug#435690)
  * fixed interface name truncation (Closes: Bug#405521)
    Thank you Csaba Szep.
  * fixed pt error string (Closes: Bug#403033)
  * fixed route samples (Closes: Bug#400844, #368697) Thanks Danny Rathjens.
  * fixed ifconfig(8) see also section (Closes: Bug#365916) Dan Jacobs.

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 02 Dec 2007 06:27:41 +0100

net-tools (1.60-18) unstable; urgency=low

  * Thanks for the l10n NMU to Kenshi Muto
  * fixed hostname compile problems
  * better error handling and speedup for proc file reading
  * improved mii-tool (more media types)
  * fixed string length contraint in ipmaddr
  * fixed ipx /proc/net (alternate naming)
  * smaller fixed to netstat(8) (de) 2002-02-20 - still incomplete
  * expanded arp(8) (en) 2007-12-01
  * added -4 and -6 to netstat(8) 02 October 2003

