=== 1.60-26-r0/net-tools-1.60/debian/control ===
Source: net-tools
Section: net
Priority: important
Build-Depends: debhelper (>> 5), gettext, quilt
Maintainer: net-tools Team <pkg-net-tools-maintainers@lists.alioth.debian.org>
Uploaders: Luk Claes <luk@debian.org>, Martín Ferrari <tincho@debian.org>
Standards-Version: 3.8.1
Homepage: http://net-tools.berlios.de/

Package: net-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netbase (<< 4.00), ja-trans (<= 0.8-2)
Conflicts: ja-trans (<= 0.8-2)
Description: NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat, 
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach, 
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".
