=== 1.60-26-r0/net-tools-1.60/debian/watch ===
version=3

http://download.berlios.de/net-tools/net-tools-(\d.*)\.tar\.(?:bz2|gz)
